Get Violet Connect URLs
This endpoint will return pre-formatted links for a given merchant that take them straight to a specific step during Violet Connect onboarding. These links are specific to the merchant and the platform they are using (e.g., Shopify, WooCommerce).
Path parameters
merchant_idinteger · int32Required
Query parameters
stepstringOptional
statestringOptional
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
200
successful operation
application/json
stringOptional
401
Unauthorized
application/json
403
Insufficient Permissions
application/json
500
Internal Server Error
application/json
get/merchants/{merchant_id}/violet_connect_urls
GET /v1/merchants/{merchant_id}/violet_connect_urls HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
[
{
"step": "PAYOUTS",
"url": "https://connect.violet.io/appsubdomain/platforms/shopify/payments?merchantId=11222"
},
{
"step": "COMMISSION_RATE",
"url": "https://connect.violet.io/appsubdomain/platforms/shopify/commission-rate?merchantId=11222"
},
{
"step": "CREATE_STRIPE_EXPRESS_ACCOUNT",
"url": "https://connect.violet.io/appsubdomain/platforms/shopify/payments?merchantId=11222&setupAccountType=express"
}
]Last updated
Was this helpful?